After EditPage switch-over to OOJS,the gadget for edit summary stopped working on Bengali wikipedia
Closed, ResolvedPublic

Description

After todays update (T162849), the gadget for adding edit summary stopped working. I tried to follow this but found nothing. This is a default & one of most used gadget on bn.wiki, we need to fix it quickly.

  • gadget link (I copied this gadget from here - line 100 to 154 - same problem also there)

Please take a look and fix it (If you aren't global interface editor, please suggest here)

Additional request: This gadget's code only work in source editing mode. we need it for visual editor also. I already read this but i've no idea how to do it. So, if possible please suggest js code for enabling edit summary for visual editing mode. something like this.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2017, 9:56 PM
Aklapper changed the task status from Open to Stalled.Jul 20 2017, 10:27 AM

@Aftabuzzaman: Please follow https://www.mediawiki.org/wiki/Help:Locating_broken_scripts and provide the error output from your web browser's developer tools when using debug=true. Also note the recent changes in https://ru.wikipedia.org/w/index.php?title=MediaWiki:Editpage.js&action=history

Changing task status to 'stalled' - please reset the status of this report to "Open" via the Add Action...Change Status dropdown. Thanks!

Aftabuzzaman changed the task status from Stalled to Open.EditedJul 20 2017, 4:18 PM

@Ladsgroup yes
@Aklapper I already followed that but found nothing. (see screenshot, google chrome, anonymous view, latest version)


you can see it, click here (this is a default gadget, you don't have to activate anything)
and I already saw that, but those changes are not about edit summary.

Aftabuzzaman updated the task description. (Show Details)Jul 20 2017, 4:22 PM
Aklapper renamed this task from Gadget for edit summary stopped working on Bengali wikipedia to After EditPage switch-over to OOJS,the gadget for edit summary stopped working on Bengali wikipedia.Jul 20 2017, 6:59 PM

Yes this is indeed https://www.mediawiki.org/wiki/Contributors/Projects/Accessible_editing_buttons#Fixing_scripts as Ladsgroup correctly wrote.

@Aftabuzzaman: See the code in Gadget-sompadonasarangsho.js : $( '<div id="userSummaryButtonsA"></div>' ).insertAfter( '#wpSummary' );.
Accessible_editing_buttons lists examples how to fix '#wpSummary'. Which things have you tried already? Where exactly did you get stuck, and why?

Aftabuzzaman closed this task as Resolved.Nov 27 2017, 7:19 PM
Aftabuzzaman claimed this task.

new code from hewiki https://bn.wikipedia.org/s/a5go